<?php
/**
 * The template for displaying the footer.
 * Contains the closing of the #content div and all content after
 * @package love-pet
 */

/*page option*/
$pid = get_queried_object_id();
$p_footer_display = (function_exists('fw_get_db_post_option')) ? fw_get_db_post_option($pid, 'p_footer_display') : 'default';

/*customizer*/
$c_footer_widget_display = get_theme_mod('c_footer_display', '1');
$copyright = get_theme_mod('c_ft_left', 'Love Pet by Haintheme &copy; 2017. All Rights Reserved.');
$custom = get_theme_mod('c_ft_right', '');

$default = '1';
if(isset($p_footer_display['gadget']) && $p_footer_display['gadget'] == 'off'){
	$default = '0';
}

$only_copy = empty($custom) ? 'text-center' : '';

if($default == '1'): ?>
	<footer class="theme-footer flw">
		<?php love_pet_footer_edit_location('footer');/*footer edit location*/ ?>

		<?php if($c_footer_widget_display == '1') love_pet_footer_widget();/*footer widget*/ ?>

		<?php if(!empty($copyright) || !empty($custom)):/*footer infomation*/ ?>
			<div class="footer-infomation flw">
				<div class="container">
					<p class="ftl <?php echo esc_attr($only_copy); ?>"><?php echo wp_kses($copyright, array('a'=>array('href'=>array(), 'target'=>array()))); ?></p>
					<?php if(!empty($custom)){
						echo '<div class="ftr">' . wp_kses_post($custom) . '</div>';
					} ?>
				</div>
			</div>
		<?php endif; ?>
		<span class="scroll-to-top ion-ios-arrow-up" title="<?php esc_attr_e('Scroll To Top', 'love-pet'); ?>"></span>
	</footer>	
<?php endif; ?>
<?php wp_footer(); ?>
</body>
</html>
