<?php
/***Theme Customizer***/

/*set config id here*/
love_pet_Kirki::add_config( 'love-pet', array(
 	'option_type' => 'theme_mod',
 	'capability'  => 'edit_theme_options',
));

/*Add the general section*/
love_pet_Kirki::add_section( 'c_general', array(
 	'title'      => esc_attr__( 'General', 'love-pet'),
 	'priority'   => 1,
 	'capability' => 'edit_theme_options',
	'icon'  => 'dashicons-admin-generic',
));

/*Add the header layout panel*/
love_pet_Kirki::add_panel( 'c_panel', array(
 	'title'      => esc_attr__( 'Header Layout', 'love-pet'),
 	'capability' => 'edit_theme_options',
	'priority'   => 3,
	'icon'  => 'dashicons-editor-table',
));

/*Add the header 1 section*/
love_pet_Kirki::add_section( 'header_1', array(
 	'title'      => esc_attr__( 'Layout 1', 'love-pet'),
 	'capability' => 'edit_theme_options',
	'panel'   => 'c_panel',
));

/*Add the header 2 section*/
love_pet_Kirki::add_section( 'header_2', array(
 	'title'      => esc_attr__( 'Layout 2', 'love-pet'),
 	'capability' => 'edit_theme_options',
	'panel'   => 'c_panel',
));

/*Add the header 3 section*/
love_pet_Kirki::add_section( 'header_3', array(
 	'title'      => esc_attr__( 'Layout 3', 'love-pet'),
 	'capability' => 'edit_theme_options',
	'panel'   => 'c_panel',
));

/*Add the header 4 section*/
love_pet_Kirki::add_section( 'header_4', array(
 	'title'      => esc_attr__( 'Layout 4', 'love-pet'),
 	'capability' => 'edit_theme_options',
	'panel'   => 'c_panel',
));

/*Add the header 5 section*/
love_pet_Kirki::add_section( 'header_5', array(
 	'title'      => esc_attr__( 'Layout 5', 'love-pet'),
 	'capability' => 'edit_theme_options',
	'panel'   => 'c_panel',
));

/*Add the header 6 section*/
love_pet_Kirki::add_section( 'header_6', array(
 	'title'      => esc_attr__( 'Layout 6', 'love-pet'),
 	'capability' => 'edit_theme_options',
	'panel'   => 'c_panel',
));

/*Add breadcrumbs section*/
love_pet_Kirki::add_section( 'c_crumbs', array(
 	'title'      => esc_attr__( 'Breadcrumbs', 'love-pet'),
 	'capability' => 'edit_theme_options',
	'priority'   => 5,
	'icon' => 'dashicons-editor-bold'
));

/*Add color section*/
love_pet_Kirki::add_section( 'color', array(
 	'title'      => esc_attr__( 'Colors', 'love-pet'),
 	'priority'   => 7,
 	'capability' => 'edit_theme_options',
	'icon' => 'dashicons-admin-appearance'
));

/*Add typo section*/
love_pet_Kirki::add_section( 'typo', array(
 	'title'      => esc_attr__( 'Typography', 'love-pet'),
 	'capability' => 'edit_theme_options',
	'priority'   => 9,
	'icon' => 'dashicons-editor-paragraph'
));

/*Add blog section*/
love_pet_Kirki::add_section( 'blog', array(
 	'title'      => esc_attr__( 'Blog', 'love-pet'),
 	'priority'   => 11,
 	'capability' => 'edit_theme_options',
	'icon' => 'dashicons-admin-post'
));

/*Add shop section*/
love_pet_Kirki::add_section( 'shop', array(
 	'title'      => esc_attr__( 'Shop', 'love-pet'),
 	'priority'   => 13,
 	'capability' => 'edit_theme_options',
	'icon' => 'dashicons-cart'
));

/*Add footer section*/
love_pet_Kirki::add_section( 'c_footer', array(
 	'title'      => esc_attr__( 'Footer', 'love-pet'),
 	'priority'   => 15,
 	'capability' => 'edit_theme_options',
	'icon' => 'dashicons-download'
));