<?php /*COLOR=================================================================================================*/

love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'switch',
	'settings'  => 'on_off_customize_color',
	'label'     => esc_attr__( 'Enable custom colors?', 'love-pet' ),
	'section'   => 'color',
	'default'   => '0',
	'choices' => array(
		'yes' => esc_attr__('Yes', 'love-pet'),
		'no' => esc_attr__('No', 'love-pet'),
	),
));

/*primary color*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'color',
	'settings'  => 'primary_color',
	'label'     => esc_attr__( 'Primary color', 'love-pet' ),
	'section'   => 'color',
	'default' => '#f78263',
	'transport' => 'auto',
	'output'      => array(
		array(
			'element' => array(
				'a',
				'.vc_custom_heading span',
				'.gallery-carousel-bot .gallery-box a',
				'.slick-arrow',
				'.vc_general.vc_btn3.vc_btn3-style-theme-default-btn',
				'.theme-cf7 input[type="submit"]:hover',
				'.theme-cf7 input[type="submit"]:focus',
				'.header-layout-1 .hd1-btn:hover',
				'.footer-email-widget button',
				'.page-title span',
				
				'ul.products .product .price .woocommerce-Price-amount',
				'.vc_general.vc_btn3.vc_btn3-style-theme-default-btn-2:hover',
				'.sc-pro.sc-pro-normal .sc-pro-name a:hover',
				'.sc-pro.sc-pro-normal ins .woocommerce-Price-amount',
				
				'.header-layout-4 .theme-advanced-search button:hover',
				'.sc-pro-count-price .woocommerce-Price-amount',
				'.sc-pro-count-action .add_to_cart_button:hover',
				'.sc-pro-count-action .add_to_wishlist a',
				'.sc-pro-count-action .yith-wcwl-add-button a',
				'.sc-pro-count-action .yith-wcwl-wishlistaddedbrowse a',
				'.sc-pro-count-action .yith-wcwl-wishlistexistsbrowse a',
				'.sc-pro.sc-pro-tab .woocommerce-Price-amount',
				'.sc-pro.sc-pro-tab .sc-pro-name a:hover',
				'.vc_general.vc_btn3.vc_btn3-style-theme-default-btn-3',
				'.header-layout-4 .hd4-btn:hover',
				'.sc-pro-count-action .added_to_cart.wc-forward',
				
				'.theme-subscribe-form input[type="submit"]:hover',
				
				'.theme-services.service-list .service-more:hover',
				
				'.blog-post-info li a:hover',
				'#theme-right-sidebar .widget:not(.woocommerce) li a:hover',
				'.widget_calendar a',
				'.tagcloud a:hover',
				'#commentform input[type="submit"]',
				
				'.widget.shop.widget_top_rated_products ins .woocommerce-Price-amount',
				'.widget.shop.widget_products ins .woocommerce-Price-amount',
				'.widget.shop.widget_recent_reviews ins .woocommerce-Price-amount',
				'.widget.shop a:hover',
				'.widget.shop.widget_product_categories a:hover',
				'.widget.shop.widget_price_filter .price_slider_amount button',
				
				'.shop-content-list ul.products .product .add_to_cart_button:hover',
				'.woo-single .price .woocommerce-Price-amount',
				'.woocommerce-message a',
				'.cart-empty a',
				'.return-to-shop a',
				'.woo-single .summary.entry-summary .cart .single_add_to_cart_button:hover',
				'.woocommerce-tabs .woocommerce-Tabs-panel #review_form_wrapper .comment-form input[type="submit"]:hover',
				'.woocommerce-cart .shop_table.cart a:hover',
				'.woocommerce-cart .cart-collaterals .wc-proceed-to-checkout a:hover',
				'.woocommerce-checkout .login .form-row input[type="submit"]',
				'.woocommerce-checkout .checkout_coupon .form-row input[type="submit"]',
				'.woocommerce-checkout #place_order:hover',
				'.woocommerce-checkout #place_order:focus',
				'.woocommerce-checkout .woocommerce-info a.showlogin',
				'.shop_table.wishlist_table a:hover',
				
				'.theme-contact-form input[type="submit"]:hover'
			),
			'property' => 'color'
		),
		array(
			'element' => array(
				'.vc_general.vc_btn3.vc_btn3-style-theme-default-btn:hover',
				'.theme-cf7 input[type="submit"]',
				'.slick-dots li.slick-active button',
				'.header-layout-1 .hd1-btn',
				'.theme-header-box .counter-cart',
				'.footer-email-widget button:hover',
				'thead th',
				
				'.sc-product-cat-name:before',
				'.sc-product-cat-name:after',
				'.onsale',
				'ul.products .product .pro-loop-action',
				'.vc_general.vc_btn3.vc_btn3-style-theme-default-btn-2',
				
				'.header-layout-4 .theme-advanced-search button',
				'.sc-pro-count-action .add_to_cart_button',
				'.sc-pro-count-action .add_to_wishlist a:hover',
				'.sc-pro-count-action .yith-wcwl-add-button a:hover',
				'.sc-pro-count-action .yith-wcwl-wishlistaddedbrowse a:hover',
				'.sc-pro-count-action .yith-wcwl-wishlistexistsbrowse a:hover',
				'.sc-pro-filter strong:before',
				'.sc-pro.sc-pro-tab .sc-pro-action',
				'.vc_general.vc_btn3.vc_btn3-style-theme-default-btn-3:hover',
				'.sc-pro-count-action .added_to_cart.wc-forward:hover',
				
				'.theme-subscribe-form input[type="submit"]',
				
				'.theme-services.service-list .service-more',
				
				'#commentform input[type="submit"]:hover',
				
				'.widget.shop.widget_price_filter .ui-slider-handle',
				'.widget.shop.widget_price_filter .ui-slider-range',
				'.shop-content-list ul.products .product .add_to_cart_button',
				'.woo-single .summary.entry-summary .cart .single_add_to_cart_button',
				'.woocommerce-tabs .woocommerce-Tabs-panel #review_form_wrapper .comment-form input[type="submit"]',
				'.woocommerce-cart .cart-collaterals .wc-proceed-to-checkout a',
				'.woocommerce-checkout .login .form-row input[type="submit"]:hover',
				'.woocommerce-checkout .checkout_coupon .form-row input[type="submit"]:hover',
				'.woocommerce-checkout #place_order',
				
				'.theme-contact-form input[type="submit"]'
			),
			'property' => 'background-color'
		),
		array(
			'element' => array(
				'.slick-arrow',
				'.vc_general.vc_btn3[class*="vc_btn3-style-theme-default-btn"]',
				'.theme-cf7 input[type="submit"]',
				'.slick-dots li.slick-active button:before',
				'.header-layout-1 .hd1-btn',
				'.footer-email-widget button',
				'.vc_general.vc_btn3.vc_btn3-style-theme-default-btn-2',
				
				'.header-layout-4 .theme-advanced-search button',
				'.sc-pro-count-action .add_to_cart_button',
				'.sc-pro-count-action .add_to_wishlist a',
				'.sc-pro-count-action .yith-wcwl-add-button a',
				'.sc-pro-count-action .yith-wcwl-wishlistaddedbrowse a',
				'.sc-pro-count-action .yith-wcwl-wishlistexistsbrowse a',
				'.sc-pro-count-action .added_to_cart.wc-forward',
				'.vc_general.vc_btn3.vc_btn3-style-theme-default-btn-3:hover',
				
				'.theme-subscribe-form input[type="submit"]',
				
				'.theme-services.service-list .service-more',
				
				'#commentform input[type="submit"]',
				
				'.shop-content-list ul.products .product .add_to_cart_button',
				'.woo-single .summary.entry-summary .cart .single_add_to_cart_button',
				'.woocommerce-tabs .woocommerce-Tabs-panel #review_form_wrapper .comment-form input[type="submit"]',
				'.woocommerce-cart .cart-collaterals .wc-proceed-to-checkout a',
				'.woocommerce-checkout .login .form-row input[type="submit"]',
				'.woocommerce-checkout .checkout_coupon .form-row input[type="submit"]',
				'.woocommerce-checkout #place_order',
				
				'.theme-contact-form input[type="submit"]'
			),
			'property' => 'border-color'
		),
		/*max-width 991px*/
		array(
			'element' => array(
				'.primary-menu-box .theme-primary-menu > li.current-menu-item > a',
				'.primary-menu-box .theme-primary-menu > li.current-menu-ancestor > a',
				'.primary-menu-box .theme-primary-menu > li.current-menu-parent > a',
				'.primary-menu-box .theme-primary-menu > li.current_page_parent > a',
				'.primary-menu-box .theme-primary-menu > li.current_page_ancestor > a',
				'.primary-menu-box .theme-primary-menu a:hover'
			),
			'property' => 'color',
			'media_query' => '@media (max-width: 991px)'
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'on_off_customize_color',
			'operator' => '==',
			'value'    => '1',
		),
	),
));

/*secondary color*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'color',
	'settings'  => 'secondary_color',
	'label'     => esc_attr__( 'Secondary color', 'love-pet' ),
	'section'   => 'color',
	'default' => '#4acbbc',
	'transport' => 'auto',
	'output'      => array(
		array(
			'element' => array(
				'.blog-news-style-1 .news-style-1-date',
				'.post-tit a:hover',
				'.theme-cf7 input:not([type="submit"]).ht-input-date',
				'.header-layout-4 .shopping-cart-icon',
				'blockquote:before',
				'.theme-services.service-grid .service-price',
				'.theme-services.service-grid .service-title a:hover',
				
				'.woocommerce-order-received .woocommerce-thankyou-order-received:before',
				'.woocommerce-checkout .woocommerce-info a.showcoupon'
			),
			'property' => 'color'
		),
		array(
			'element' => array(
				'.theme-cf7.appointment-style-2 .appoint-top',
				'.header-layout-6 .hd6-btn',
				'.theme-has-sticky-post .sticky-text',
				'.shop-br .shop-br-item.active'
			),
			'property' => 'background-color'
		),
		array(
			'element' => array(
				'.theme-cf7.appointment-style-2',
				'.shop-br .shop-br-item.active'
			),
			'property' => 'border-color'
		),
		array(
			'element' => '.woocommerce-tabs .wc-tabs li.active',
			'property' => 'border-bottom-color'
		),
		/*min-width 992*/
		array(
			'element' => '.theme-header-layout #ht-search-btn:hover',
			'property' => 'color',
			'media_query' => '@media (min-width: 992px)'
		),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'on_off_customize_color',
			'operator' => '==',
			'value'    => '1',
		),
	),
));