<?php
/*GENERAL===================================================================================================*/
/*header layout*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'select',
	'settings'  => 'header_layout_cfg',
	'label'     => esc_attr__( 'Header Layout', 'love-pet' ),
	'section'   => 'c_general',
	'default'   => 'layout-6',
	'description' => esc_attr__('Choose Header Preset Select your main header preset here to apply for all pages', 'love-pet'),
	'choices' => array(
		'layout-1' => esc_attr__('Layout 1', 'love-pet'),
		'layout-2' => esc_attr__('Layout 2', 'love-pet'),
		'layout-3' => esc_attr__('Layout 3', 'love-pet'),
		'layout-4' => esc_attr__('Layout 4', 'love-pet'),
		'layout-5' => esc_attr__('Layout 5', 'love-pet'),
		'layout-6' => esc_attr__('Layout 6', 'love-pet'),
	)
));

/*logo image*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'image',
	'settings'  => 'logo_img',
	'label'     => esc_attr__( 'Logo image', 'love-pet' ),
	'description' => esc_attr__('Select logo image your website', 'love-pet'),
	'section'   => 'c_general',
));

/*loading effect*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'switch',
	'settings'  => 'loading',
	'label'     => esc_attr__( 'Loading effect', 'love-pet' ),
	'section'   => 'c_general',
	'default'   => '0',
	'description' => esc_attr__('This option shows animated page loader', 'love-pet'),
	'choices' => array(
		'off' => esc_attr__('Off', 'love-pet'),
		'on' => esc_attr__('On', 'love-pet'),
	)
));

/*smooth scroll*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'switch',
	'settings'  => 'smooth',
	'label'     => esc_attr__( 'Smooth scrolling', 'love-pet' ),
	'section'   => 'c_general',
	'default'   => '0',
	'description' => esc_attr__('Smooth scrolling for the web', 'love-pet'),
	'choices' => array(
		'off' => esc_attr__('Off', 'love-pet'),
		'on' => esc_attr__('On', 'love-pet'),
	)
));