<?php /*TYPO=================================================================================================*/

/*body font*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'typography',
	'settings'  => 'typo_body',
	'label'     => esc_attr__( 'Body font', 'love-pet' ),
	'section'   => 'typo',
	'transport' => 'auto',
	'default'     => array(
		'font-family'    => 'Lato',
		'variant'        => 'regular',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#6c6c6c',
		'font-size'      => '14px',
		'line-height'    => '24px',
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => 'body, body p',
		),
	),
));

/*h1*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'typography',
	'settings'  => 'typo_h1',
	'label'     => esc_attr__( 'H1', 'love-pet' ),
	'section'   => 'typo',
	'transport' => 'auto',
	'default'     => array(
		'font-size'      => '42px',
		'font-family'    => 'Quicksand',
		'variant'        => '700',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#222222',
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => 'h1',
		),
	),
));

/*h2*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'typography',
	'settings'  => 'typo_h2',
	'label'     => esc_attr__( 'H2', 'love-pet' ),
	'section'   => 'typo',
	'transport' => 'auto',
	'default'     => array(
		'font-size'      => '40px',
		'font-family'    => 'Quicksand',
		'variant'        => '700',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#222222',
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => 'h2',
		),
	),
));

/*h3*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'typography',
	'settings'  => 'typo_h3',
	'label'     => esc_attr__( 'H3', 'love-pet' ),
	'section'   => 'typo',
	'transport' => 'auto',
	'default'     => array(
		'font-size'      => '30px',
		'font-family'    => 'Quicksand',
		'variant'        => '700',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#222222',
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => 'h3',
		),
	),
));

/*h4*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'typography',
	'settings'  => 'typo_h4',
	'label'     => esc_attr__( 'H4', 'love-pet' ),
	'section'   => 'typo',
	'transport' => 'auto',
	'default'     => array(
		'font-size'      => '24px',
		'font-family'    => 'Quicksand',
		'variant'        => '700',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#222222',
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => 'h4',
		),
	),
));

/*h5*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'typography',
	'settings'  => 'typo_h5',
	'label'     => esc_attr__( 'H5', 'love-pet' ),
	'section'   => 'typo',
	'transport' => 'auto',
	'default'     => array(
		'font-size'      => '20px',
		'font-family'    => 'Quicksand',
		'variant'        => '700',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#222222',
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => 'h5',
		),
	),
));

/*h6*/
love_pet_Kirki::add_field( 'love-pet', array(
	'type'      => 'typography',
	'settings'  => 'typo_h6',
	'label'     => esc_attr__( 'H6', 'love-pet' ),
	'section'   => 'typo',
	'transport' => 'auto',
	'default'     => array(
		'font-size'      => '18px',
		'font-family'    => 'Quicksand',
		'variant'        => '700',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#222222',
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => 'h6',
		),
	),
));