<?php /*Include static files: javascript and css*/

if ( is_admin() ) return;

/*Enqueue scripts and styles for the front end.*/

/*Load main stylesheet*/
wp_enqueue_style(
	'love-pet-theme-style',
	get_stylesheet_uri(),
	array(),
	'1.0'
);

if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
	wp_enqueue_script( 'comment-reply' );
}


wp_enqueue_script(
	'love-pet-accordion',
	get_template_directory_uri() . '/js/plugins/accordion.1.3.js',
	array( 'jquery' ),
	'1.0',
	true
);

wp_enqueue_script(
	'love-pet-cookie',
	get_template_directory_uri() . '/js/plugins/cookie.2.1.4.js',
	array( 'jquery' ),
	'1.0',
	true
);

wp_enqueue_script(
	'love-pet-enquire',
	get_template_directory_uri() . '/js/plugins/enquire.2.1.6.js',
	array( 'jquery' ),
	'1.0',
	true
);

wp_enqueue_script(
	'love-pet-ht-slim',
	get_template_directory_uri() . '/js/plugins/ht.slim.1.0.js',
	array( 'jquery' ),
	'1.0',
	true
);

wp_enqueue_script(
	'love-pet-isotope',
	get_template_directory_uri() . '/js/plugins/isotope.3.0.4.js',
	array( 'jquery' ),
	'1.0',
	true
);

wp_enqueue_script(
	'love-pet-jquery-ui',
	get_template_directory_uri() . '/js/plugins/jquery.ui.1.12.1.js',
	array( 'jquery' ),
	'1.0',
	true
);

wp_enqueue_script(
	'love-pet-plyr',
	get_template_directory_uri() . '/js/plugins/plyr.2.0.11.js',
	array( 'jquery' ),
	'1.0',
	true
);

wp_enqueue_script(
	'love-pet-pretty-photo',
	get_template_directory_uri() . '/js/plugins/prettyphoto.js',
	array( 'jquery' ),
	'1.0',
	true
);

wp_enqueue_script(
	'love-pet-slick',
	get_template_directory_uri() . '/js/plugins/slick.1.6.js',
	array( 'jquery' ),
	'1.0',
	true
);

/*smooth scrolling plugin*/
$smooth = get_theme_mod( 'smooth', '0' );
if($smooth == '1'){
	wp_enqueue_script(
		'love-pet-smooth-scrolling-plugins',
		get_template_directory_uri() . '/js/jquery.smoothscroll.js',
		array( 'jquery' ),
		'1.0',
		true
	);
}

/*custom js*/
wp_enqueue_script(
	'love-pet-theme-script',
	get_template_directory_uri() . '/js/jquery.custom.js',
	array( 'jquery' ),
	'1.0',
	true
);