<?php
/**
 * @var string $before_widget
 * @var string $after_widget
 * @var string $title
 * @var string $number
 */

echo wp_kses_post($before_widget );
echo wp_kses_post($title);
$query = new WP_Query('post_type=product&post_status=publish&ignore_sticky_posts=true&posts_per_page='.$number);
global $post;

if( $query->have_posts() ):
    echo '<div class="widget-pro-carousel flw">';
    while($query->have_posts()): $query->the_post();
        $product = wc_get_product( $post->ID );
        /*get product price*/
        $price = $product->get_price_html();
        /*get product rating*/
        $rating = $product->get_average_rating();
        ?>
        <div class="pro-carousel-box">
            <a href="<?php the_permalink(); ?>" class="pro-carousel-img">
                <?php if(has_post_thumbnail()){
                    the_post_thumbnail(
                        array(80,80, true),
                        array('alt' => get_the_title())
                    );
                } ?>
            </a>
            <?php  ?>
            <div class="pro-carousel-cont">
                <a class="product-title" href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                <?php if ( ! empty( $rating ) ) : ?>
                    <?php
                        echo '<div class="flw">';    
                        echo wc_get_rating_html( $product->get_average_rating() );
                        echo '</div>';
                    ?>
                <?php endif; ?>
                <?php
                    echo '<div class="flw">';
                    echo wp_kses_post($price);
                    echo '</div>';
                ?>
            </div>
        </div>
    <?php endwhile;
    echo '</div>';
endif;
wp_reset_postdata();
echo wp_kses_post($after_widget);