<?php
/**
 * Template Name: Blog Grid Template
 */

get_header(); ?>
<main id="main" class="page_content blog-grid-template flw">
    <div class="container">
        <div class="row">
            <?php
                $counter = 0;
                if ( get_query_var('paged') ) {
                    $paged = get_query_var('paged');
                }elseif ( get_query_var('page') ){
                    $paged = get_query_var('page');
                }else {
                    $paged = 1;
                }
                
                $wp_query = new WP_Query(array( 'post_type' => 'post', 'posts_per_page' => 7, 'paged' => $paged));

                while ($wp_query->have_posts()) : $wp_query->the_post();
                    if(is_sticky()){
                        echo '<div class="col-lg-12 col-md-12 theme-has-sticky-post">';
                    }else{
                        ++$counter;
                        if($counter == 3) {
                            echo '<div class="col-lg-4 col-md-4 theme-has-post-format col-item-clear">';
                            $counter = 0;
                        }else{
                            echo '<div class="col-lg-4 col-md-4 theme-has-post-format">';
                        }
                    }
                        get_template_part( 'content', get_post_format() );
                    echo '</div>';
                endwhile;
                love_pet_paging_nav();

                wp_reset_postdata();

            ?>
        </div>
    </div>
</main>
<?php get_footer(); ?>