<?php
    $topbar_display = get_theme_mod( 'hd2_topbar_display', '0' );
    $topbar_content = get_theme_mod( 'hd2_topbar', '' );
?>
<header class="theme-header-layout header-layout-2" itemscope itemtype="http://schema.org/WPHeader">
    <?php if($topbar_display == '1' && !empty($topbar_content)): ?>
        <div class="theme-topbar">
            <?php foreach($topbar_content as $key):
                echo '<div class="theme-topbar-item">' . wp_kses_post($key['tb_text']) . '</div>';
            endforeach; ?>
        </div>
        <button id="topbar-toggle" class="ion-ios-arrow-down"></button>
    <?php endif; ?>
    <div class="theme-header-box">
        <?php love_pet_header_edit_location('hd2');/*header edit location*/ ?>
        <?php love_pet_logo_image();/*logo*/ ?>
        <div class="primary-menu-box" itemscope itemtype="http://schema.org/SiteNavigationElement">
            <span class="screen-reader-text">
                <?php esc_html_e( 'Primary Menu', 'love-pet' ); ?>
            </span>
            <?php /*primary menu*/
                if(has_nav_menu('primary')):
                    wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'theme-primary-menu', 'container' => '' ) );
                else: ?>
                <a class="add-menu-suggest" href="<?php echo esc_url( get_admin_url() . 'nav-menus.php' ); ?>"><?php esc_html_e( 'Add Menu', 'love-pet' ); ?></a>
            <?php endif; ?>
        </div>
        <button class="ion-search" id="ht-search-btn"></button>
        <?php love_pet_shopping_cart();/*shopping cart*/ ?>
    </div>
    <?php get_template_part('page-templates/page', 'header');/* breadcrumbs */ ?>
</header>
<?php love_pet_search_form();/*search form*/ ?>