<?php
/**
 * Displaying the page template infor
 */

/*Customizer/Metabox variable*/
$c_page_header = get_theme_mod('c_page_header', '1');
$c_breadcrumbs = get_theme_mod('c_crumbs', '1');

/*page id*/
$pid = get_queried_object_id();
$p_page_header = (function_exists('fw_get_db_post_option')) ? fw_get_db_post_option($pid, 'p_page_header') : '1';

/*custom post title*/
$post_title = (function_exists('fw_get_db_post_option')) ? fw_get_db_post_option($pid, 'spc_opt') : '';

/*Kirki customizer option*/
$c_header_bg = get_theme_mod( 'c_header_bg', 'bg_color' );
$c_header_bg_color = get_theme_mod( 'c_header_bg_color' , '#0b6070' );
$c_header_bg_image = get_theme_mod( 'c_header_bg_image' , false );
$img = wp_get_attachment_image_src($c_header_bg_image, 'full');

/*set default value*/
$final_page_header = $c_page_header;

$final_bg_bread = '';

/*page title*/
$page_title = get_the_title();

/*shop title*/
$shop_title = get_theme_mod('shop_title', 'Shop');

/*blog title*/
$blog_title = get_theme_mod('b_header_title', 'Our [Blogs]');

/*replace blog special character*/
$source = array('[',']');
$target = array('<span>','</span>');
$final_blog_title = str_replace($source, $target, $blog_title);

$gadget = '';
if(function_exists('FW')){
    if(is_page() || is_single()){

        /*variables*/
        $gadget = $p_page_header['gadget'];
        /*page header value*/
        if(isset($gadget) && $gadget != 'default'){
            $final_page_header = $gadget;
        }

        /*page title*/        
        if($gadget == '1' && $p_page_header['1']['page_header_title'] != ''){
            $page_title = $p_page_header['1']['page_header_title'];
        }

        /*Override value if enable custom page header*/
        if(isset($gadget) && $gadget == '1'){

            $p_breadcrumb_bg_select = $p_page_header['1']['page_header_bg'];

            if($p_breadcrumb_bg_select['gadget'] == 'color_bg'){
                $final_bg_bread = 'style="background:' . $p_breadcrumb_bg_select['color_bg']['color_bg_data'] . ';"';
            }else{
                if(!empty($p_breadcrumb_bg_select['img_bg']['img_bg_data'])):
                    $final_bg_bread = 'style="background-image:url(' . $p_breadcrumb_bg_select['img_bg']['img_bg_data']['url'] . ');"';
                endif;
            }
        }
    }
}

/*not display on 404 page*/
if(!is_404() && $final_page_header == '1'): ?>
    <nav class="theme-breadcrumb flw" <?php echo wp_kses_post($final_bg_bread); ?>>
        <div class="container">
            <div class="bread flw" itemscope itemtype="http://schema.org/WebPage">
                <?php /*page title*/ ?>
                <h1 class="page-title" itemprop="name">
                    <?php
                    if ( is_day() ) :
                        printf( esc_html__( 'Daily Archives: %s', 'love-pet'), get_the_date() );

                    elseif ( is_month() ) :
                        printf( esc_html__( 'Monthly Archives: %s', 'love-pet'), get_the_date( esc_html_x( 'F Y', 'monthly archives date format', 'love-pet') ) );
                    elseif (is_home()) :
                        echo wp_kses_post($final_blog_title);
                    elseif(is_author()):
                        $curauth = (get_query_var('author_name')) ? get_user_by('slug', get_query_var('author_name')) : get_userdata(get_query_var('author'));
                        echo esc_html($curauth->display_name);
                    elseif ( is_year() ) :
                        printf( esc_html__( 'Yearly Archives: %s', 'love-pet'), get_the_date( esc_html_x( 'Y', 'yearly archives date format', 'love-pet') ) );
                    elseif(class_exists( 'WooCommerce' ) && is_shop()):
                        echo esc_html($shop_title);
                    elseif(is_page()) :
                        echo esc_html($page_title);
                    elseif( is_tax() ) :
                        global $wp_query;
                        $term = $wp_query->get_queried_object();
                        $title = $term->name;
                        echo esc_html($title);
                    elseif( is_search() ):
                        esc_html_e('Search results', 'love-pet');
                    elseif(is_single()) :
                        if(isset($post_title['gadget']) && $post_title['gadget'] == 'yes'){
                            echo esc_html($post_title['yes']['spc_title']);
                        }elseif($gadget == '1' && $p_page_header['1']['page_header_title'] != ''){
                             echo esc_html($page_title);
                        }else{
                            echo get_the_title();
                        }
                    elseif(is_tag()) :
                        esc_html_e('Tags', 'love-pet');
                    else :
                        esc_html_e( 'Archives', 'love-pet');
                    endif;
                    ?>
                </h1>
                <?php /*breadcrumbs*/
                    if (function_exists('fw_ext_breadcrumbs')) {
                        if($c_breadcrumbs == 1){fw_ext_breadcrumbs();}
                    } ?>
            </div>
        </div>
        <?php love_pet_bread_edit_location('bread');/*header edit location*/ ?>
    </nav>
<?php endif;

/*loading effect*/
$loading = get_theme_mod('loading', '0');
if($loading == 1): ?>
<div id="p-loading">
    <svg class="p-circular" id="load" x="0px" y="0px" viewBox="0 0 150 150">
        <circle id="loading-inner" cx="75" cy="75" r="60"/>
    </svg>
</div>
<?php endif;