<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = '';
$class_to_filter .= vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );
$values = (array) vc_param_group_parse_atts( $values ); ?>

<div class="theme-accordion <?php echo esc_attr($all_class); ?>">
    <?php
        foreach($values as $dad => $key):
            $action = ($dad == '0') ? 'acc_active' : ''; ?>
        <div class="accordion_in <?php echo esc_attr($action); ?>" itemscope itemtype="http://schema.org/Thing">
            <strong class="acc_head" itemprop="name"><?php echo esc_html($key['title']); ?></strong>
            <p class="acc_content" itemprop="description"><?php echo esc_html($key['content']); ?></p>
        </div>
    <?php endforeach; ?>
</div>