<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = '';
$class_to_filter .= vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

if(!empty($data)):

    $gallery = shortcode_atts(array('data' => 'data',), $atts );
    $imgs_id = explode(',', $gallery['data']); ?>

    <div class="theme-brand-crs <?php echo esc_attr($all_class); ?>">
        <?php foreach($imgs_id as $key):
            $full_img = wp_get_attachment_image_src($key, "full");
            $img_alt = (get_post_meta($key,'_wp_attachment_image_alt', true) != '') ? get_post_meta($key,'_wp_attachment_image_alt', true) : 'Brand logo image'; ?>

            <div class="brand-item-img">
                <img src="<?php echo esc_url($full_img[0]); ?>" alt="<?php echo esc_attr($img_alt); ?>">
            </div>
        <?php endforeach; ?>
    </div>
<?php endif;