<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = '';
$class_to_filter .= vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

if($count != ''): ?>
    <div class="htcrs theme-testi testi-<?php echo esc_attr($style); ?><?php echo esc_attr($all_class); ?>">
        <?php /*query*/
            global $post;
            $query = new WP_Query('post_type=ht-testimonial&post_status=publish&ignore_sticky_posts=true&posts_per_page='.$count);
            if( $query->have_posts() ):
                while($query->have_posts()): $query->the_post();
                /*data*/
                $name = fw_get_db_post_option($post->ID, 'name');
                $rating = fw_get_db_post_option($post->ID, 'rating');
                $img_id  = get_post_thumbnail_id($post->ID);
                $thumbnail = get_the_post_thumbnail_url($post->ID);
                $img_alt = (get_post_meta($img_id,'_wp_attachment_image_alt', true) != '') ? get_post_meta($img_id,'_wp_attachment_image_alt', true) : 'Testimonials thumbnail'; ?>
        <div class="theme-testi-item" itemscope itemtype="http://schema.org/Person">
            <?php if($style == 'style-1' && $thumbnail != ''): ?>
                <div class="testi-img"><img src="<?php echo esc_url($thumbnail); ?>" itemprop="image" alt="<?php echo esc_attr($img_alt); ?>"></div>
            <?php endif; ?>
            <div class="testi-content">
                <strong class="testi-title" itemprop="name"><?php the_title(); ?></strong>
                <div class="testi-rating"><?php love_pet_testi_rating($rating); ?></div>
                <div class="testi-text" itemprop="description"><?php the_content(); ?></div>
                <strong class="testi-name" itemprop="name"><?php echo esc_html($name); ?></strong>
            </div>
        </div>
        <?php
            endwhile;
            endif;
            /*reset query*/
            wp_reset_postdata();
        ?>
    </div>
<?php endif; ?>