<?php
/**
 * The template for displaying 404 pages (Not Found)
 */

get_header(); ?>

<main id="main" class="flw">
	<div class="container">
		<div class="row">
			<div class="col-md-4 col-lg-4">
				<img src="<?php echo get_template_directory_uri() . '/images/404.jpg'; ?>" alt="<?php esc_attr_e('404 image', 'love-pet'); ?>" class="error-img">
			</div>
			<div class="col-md-6 col-lg-6">
				<div class="error-content">
					<h2 class="error-title"><?php esc_html_e('404', 'love-pet'); ?></h2>
					<h4><?php esc_html_e('Oops 404 Again! That Page Can\'t Be Found.', 'love-pet'); ?></h4>
					<p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try a search?', 'love-pet'); ?></p>
					<?php love_pet_custom_search_form(); ?>
				</div>
			</div>
		</div>
	</div>
</main>

<?php get_footer();
