<?php if ( ! defined( 'FW' ) ) { die( 'Forbidden' );}

/**
 * Breadcrumbs default view
 * Parameters:
 * @var string $separator , the separator symbol
 */
?>

<?php if ( ! empty( $items ) ) : ?>
    <div class="crumbs" itemscope itemtype="http://schema.org/BreadcrumbList">
        <?php for ( $i = 0; $i < count( $items ); $i ++ ) : ?>
            <?php if ( $i == ( count( $items ) - 1 ) ) : ?>
                <span class="last-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><i itemprop="name"><?php echo apply_filters( 'the_title', $items[ $i ]['name'] ); ?></i><meta itemprop="position" content="<?php echo count( $items ); ?>" /></span>
            <?php elseif ( $i == 0 ) : ?>
                <span class="first-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem">
                <?php if( isset( $items[ $i ]['url'] ) ) : ?>
                    <a itemprop="item" href="<?php echo esc_url($items[ $i ]['url']); ?>"><span itemprop="name"><?php echo apply_filters( 'the_title', $items[ $i ]['name'] ); ?></span></a><meta itemprop="position" content="1" /></span>
                <?php else : echo esc_html($items[ $i ]['name']); endif ?>

                <?php
            else : ?>
            <span class="<?php echo( $i - 1 ) ?>-item" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem">
                <?php if( isset( $items[ $i ]['url'] ) ) : ?>
                    <a itemprop="item" href="<?php echo esc_url($items[ $i ]['url']); ?>"><span itemprop="name"><?php echo apply_filters( 'the_title', $items[ $i ]['name'] ); ?></span></a><meta itemprop="position" content="<?php echo esc_attr($i + 1); ?>" /></span>
                <?php else : echo esc_html($items[ $i ]['name']); endif ?>

            <?php endif ?>
        <?php endfor ?>
    </div>
<?php endif ?>
