<?php if ( ! defined( 'FW' ) ) { die( 'Forbidden' );}

$page_options = array(
    /*header*/
    'page_header' => array(
        'title'   => esc_html__('Header', 'love-pet'),
        'type'    => 'tab',
        'options' => array(
            /*header layout*/
            'page_header_layout' => array(
                'label' => false,
                'desc' => false,
                'type' => 'multi-picker',
                'picker' => array(
                    'gadget' => array(
                        'label' => esc_html__('Layout', 'love-pet'),
                        'type' => 'short-select',
                        'choices' => array(
                            'default' => esc_html__('Default', 'love-pet'),
                            'layout-1' => esc_html__('Layout 1', 'love-pet'),
                            'layout-2' => esc_html__('Layout 2', 'love-pet'),
                            'layout-3' => esc_html__('Layout 3', 'love-pet'),
                            'layout-4' => esc_html__('Layout 4', 'love-pet'),
                            'layout-5' => esc_html__('Layout 5', 'love-pet'),
                            'layout-6' => esc_html__('Layout 6', 'love-pet'),
                        ),
                        'value' => 'default',
                    )
                ),
                'choices' => array(
                    'layout-4' => array(
                        'l4_bg_menu' => array(
                            'type' => 'rgba-color-picker',
                            'label' => esc_html__('Menu background color', 'love-pet'),
                            'value' => '#f78263'
                        ),
                        'l4_highlight_menu' => array(
                            'type' => 'rgba-color-picker',
                            'label' => esc_html__('Menu highlight color', 'love-pet'),
                            'value' => '#4bcbbc'
                        )
                    )
                ),
            ),
            /*logo*/
            'p_lg' => array(
                'label' => false,
                'desc' => false,
                'type' => 'multi-picker',
                'picker' => array(
                    'gadget' => array(
                        'type' => 'short-select',
                        'label' => esc_html__('Logo', 'love-pet'),
                        'desc' => false,
                        'choices' => array(
                            'default' => esc_html__('Default', 'love-pet'),
                            'custom' => esc_html__('Custom', 'love-pet'),
                        ),
                        'value' => 'default'
                    )
                ),
                'choices' => array(
                    'custom' => array(
                        'lg_data' => array(
                            'label' => esc_html__('Choose image', 'love-pet'),
                            'type' => 'upload',
                            'images_only' => true
                        )
                    )
                ),
            ),
            /*crumbs header*/
            'p_page_header' => array(
                'label'   => false,
                'desc'   => false,
                'type'    => 'multi-picker',
                'picker' => array(
                    'gadget' => array(
                        'label' => esc_html__('Breadcrumbs', 'love-pet'),
                        'type' => 'short-select',
                        'choices' => array(
                            'default' => esc_html__('Default', 'love-pet'),
                            '1' => esc_html__('Custom', 'love-pet'),
                            'no' => esc_html__('Disable', 'love-pet'),
                        ),
                        'value' => 'default',
                    ),
                ),
                'choices' => array(
                    '1' => array(
                        'page_header_title' => array(
                            'label' => esc_html__('Alternative Title', 'love-pet'),
                            'desc' => esc_html__('This will replace heading page title', 'love-pet'),
                            'type' => 'text',
                            'value' => 'This is my title!'
                        ),
                        'page_header_bg' => array(
                            'label' => false,
                            'desc' => false,
                            'type' => 'multi-picker',
                            'picker' => array(
                                'gadget' => array(
                                    'label' => esc_html__('Background Style', 'love-pet'),
                                    'desc' => esc_html__('If select background image option, the theme recommends a header size of at least 1170 width pixels', 'love-pet'),
                                    'type' => 'select',
                                    'choices' => array(
                                        'img_bg' => esc_html__('Use Image', 'love-pet'),
                                        'color_bg' => esc_html__('Use Solid Color', 'love-pet'),
                                    ),
                                    'value' => 'color_bg'
                                )
                            ),
                            'choices' => array(
                                'img_bg' => array(
                                    'img_bg_data' => array(
                                        'label' => esc_html__('Single Upload (Images Only)', 'love-pet'),
                                        'type' => 'upload'
                                    )
                                ),
                                'color_bg' => array(
                                    'color_bg_data' => array(
                                        'label' => esc_html__('Background Color', 'love-pet'),
                                        'type' => 'color-picker',
                                        'value' => '#e9eceb'
                                    )
                                )
                            ),
                        ),
                    ),
                ),
            ),
        ),
    ),
    /*footer*/
    'page_footer' => array(
        'title'   => esc_html__('Footer', 'love-pet'),
        'type'    => 'tab',
        'options' => array(
            'p_footer_display' => array(
                'label' => false,
                'desc' => false,
                'type' => 'multi-picker',
                'picker' => array(
                    'gadget' => array(
                        'type' => 'short-select',
                        'label' => esc_html__('Layout', 'love-pet'),
                        'desc' => false,
                        'choices' => array(
                            'default' => esc_html__('Default', 'love-pet'),
                            'custom' => esc_html__('Custom', 'love-pet'),
                            'off' => esc_html__('Disable', 'love-pet'),
                        ),
                        'value' => 'default'
                    )
                ),
                'choices' => array(
                    'custom' => array(
                        'f_bg_color' => array(
                            'label' => esc_html__('Background color', 'love-pet'),
                            'type' => 'rgba-color-picker',
                            'value' => '#ffffff'
                        ),
                        'f_title_color' => array(
                            'label' => esc_html__('Widgt title color', 'love-pet'),
                            'type' => 'rgba-color-picker',
                            'value' => '#222222'
                        ),
                        'f_text_color' => array(
                            'label' => esc_html__('Widget text color', 'love-pet'),
                            'type' => 'rgba-color-picker',
                            'value' => '#767676'
                        ),
                        'f_info_bg_color' => array(
                            'label' => esc_html__('Infomation background color', 'love-pet'),
                            'type' => 'rgba-color-picker',
                            'value' => '#ffffff'
                        ),
                        'f_info_text_color' => array(
                            'label' => esc_html__('Infomation text color', 'love-pet'),
                            'type' => 'rgba-color-picker',
                            'value' => '#767676'
                        ),
                        'f_info_border_color' => array(
                            'label' => esc_html__('Infomation border color', 'love-pet'),
                            'type' => 'rgba-color-picker',
                            'value' => '#eeeeee'
                        )
                    )
                ),
            ),
        ),
    ),
);
$options = array(
    'page_layout_box' => array(
        'title'   => esc_html__( 'Page Customizing', 'love-pet'),
        'type'    => 'box',
        'options' => $page_options
    ),
);
