<?php if ( ! defined( 'FW' ) ) { die( 'Forbidden' );}

$post_options = array(
	/*custom post title*/
	'p_custom_title' => array(
		'type' => 'box',
		'title' => false,
		'options' => array(
			'spc_opt' => array(
				'label' => false,
				'desc'  => false,
				'type'  => 'multi-picker',
				'picker' => array(
					'gadget' => array(
						'label'   => esc_html__('Custom Page Title', 'love-pet'),
			            'type'    => 'switch',
			            'left-choice' => array(
			            	'label' => esc_html__('No', 'love-pet'),
			            	'value' => 'no'
		            	),
		            	'right-choice' => array(
			            	'label' => esc_html__('Yes', 'love-pet'),
			            	'value' => 'yes'
		            	),
		            	'value' => 'no',
					),
				),
				'choices' => array(
					'yes' => array(
						'spc_title' => array(
							'label' => esc_html__( 'Alternative Title', 'love-pet'),
							'desc'  => esc_html__( 'This will replace heading post title', 'love-pet'),
							'type'  => 'text',
						),
					),
				)
			),
		)
	),
	/*gallery*/
	'p_gallery' => array(
		'type' => 'tab',
		'title' => esc_html__( 'Gallery', 'love-pet' ),
		'options' => array(
			'd_gallery'       => array(
				'label' => esc_html__( 'Upload', 'love-pet' ),
				'desc'  => esc_html__( 'Multiple Images for Gallery post format.', 'love-pet' ),
				'type'  => 'multi-upload',
			),
		)
	),
	/*image*/
	'p_image' => array(
		'title'   => esc_html__('Image', 'love-pet'),
		'type'    => 'tab',
		'options' => array(
			'd_image' => array(
				'label'   => esc_html__('Upload', 'love-pet'),
				'desc'   => esc_html__('Choose image', 'love-pet'),
				'type'    => 'upload',
			),
		),
	),
	/*video*/
	'p_video' => array(
		'type' => 'tab',
		'title' => esc_html__( 'Video', 'love-pet' ),
		'options' => array(
			'video_type' => array(
				'label' => esc_html__('Video embed', 'love-pet'),
				'type' => 'short-select',
				'choices' => array(
					'youtube' => esc_html__('Youtube', 'love-pet'),
					'vimeo' => esc_html__('Vimeo', 'love-pet'),
				),
				'value' => 'youtube'
			),
			'video_id' => array(
				'label' => esc_html__('Video ID', 'love-pet'),
				'desc' => wp_kses_post('Input only ID Video from Youtube or Vimeo. For exp:<br>https://www.youtube.com/watch?v=nrJtHemSPW4, only pick <b>nrJtHemSPW4</b><br>https://vimeo.com/180307714, only pick <b>180307714</b>', 'love-pet'),
				'type' => 'short-text',
				'value' => esc_html('nrJtHemSPW4')
			),
		)
	),
	/*audio*/
	'p_audio' => array(
		'type' => 'tab',
		'title' => esc_html__( 'Audio', 'love-pet' ),
		'options' => array(
			'd_audio' => array(
				'label' => esc_html__('Audio SoundCloud', 'love-pet'),
				'desc' => esc_html__('Input SoundCloud iframe', 'love-pet'),
				'type' => 'textarea',
			),
		)
	),
	/*blockquote*/
	'p_quote' => array(
		'type' => 'tab',
		'title' => esc_html__( 'Quote', 'love-pet' ),
		'options' => array(
			'd_quote' => array(
				'label' => esc_html__('Quote', 'love-pet'),
				'desc' => esc_html__('Input a quote here!', 'love-pet'),
				'type' => 'textarea',
			),
		)
	),
	/*link*/
	'p_link' => array(
		'title'   => esc_html__('Link', 'love-pet'),
		'type'    => 'tab',
		'options' => array(
			'link_title' => array(
				'label'   => esc_html__('Title', 'love-pet'),
				'desc'   => esc_html__('Enter your title', 'love-pet'),
				'type'    => 'text',
				'value' => esc_html__('Enter your title here', 'love-pet'),
			),
			'link_url' => array(
				'label'   => esc_html__('Link', 'love-pet'),
				'desc'   => esc_html__('Enter your url here', 'love-pet'),
				'type'    => 'text',
				'value' => '#'
			),
		),
	),
);

$options = array(
	'post_layout_box' => array(
		'title'   => esc_html__( 'Post Customizing', 'love-pet'),
		'type'    => 'box',
		'options' => $post_options
	),
);
