<header class="theme-header-layout header-layout-1" itemscope itemtype="http://schema.org/WPHeader">
    <div class="theme-header-box">
        <?php love_pet_header_edit_location('hd1');/*header edit location*/ ?>
        <?php love_pet_logo_image();/*logo*/ ?>
        <div class="primary-menu-box" itemscope itemtype="http://schema.org/SiteNavigationElement">
            <span class="screen-reader-text">
                <?php esc_html_e( 'Primary Menu', 'love-pet' ); ?>
            </span>
            <?php /*primary menu*/
                if(has_nav_menu('primary')):
                    wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'theme-primary-menu', 'container' => '' ) );
                else: ?>
                <a class="add-menu-suggest" href="<?php echo esc_url( get_admin_url() . 'nav-menus.php' ); ?>"><?php esc_html_e( 'Add Menu', 'love-pet' ); ?></a>
            <?php endif; ?>
        </div>
        <?php /*button*/
            $hd1_btn = get_theme_mod( 'hd1_btn', '' );
            $hd1_btn_link = get_theme_mod( 'hd1_btn_link', '#' );
            $hd1_btn_icon = get_theme_mod( 'hd1_btn_icon', '' );
            $icon = !empty($hd1_btn_icon) ? '<span class="'.$hd1_btn_icon.'"></span>' : '';
            if($hd1_btn != ''){
                echo '<a class="hd1-btn" href="'. esc_url($hd1_btn_link) .'">' . html_entity_decode($icon . $hd1_btn) . '</a>';
        } ?>
        <button class="ion-search" id="ht-search-btn"></button>
        <?php love_pet_shopping_cart();/*shopping cart*/ ?>
    </div>
    <?php get_template_part('page-templates/page', 'header');/* breadcrumbs */ ?>
</header>
<?php love_pet_search_form();/*search form*/ ?>