<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = '';
$class_to_filter .= vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

if(!empty($img)):

    $gallery = shortcode_atts(array('img' => 'img',), $atts );
    $imgs_id = explode(',', $gallery['img']);
    $theme_class = ($style == 'grid') ? 'theme-col-3' : ''; ?>

    <div class="theme-gallery ht-gallery-<?php echo esc_attr($style); ?> <?php echo esc_attr($theme_class); ?> <?php echo esc_attr($all_class); ?>">
        <?php foreach($imgs_id as $key):
            $full_img = wp_get_attachment_image_src($key, "full");
            if($style == 'grid'){
                $thumbnail = fw_resize($key, 370, 270, true);
            }else{
                $thumbnail = fw_resize($key, 455, 400, true);
            }
            $img_alt = (get_post_meta($key,'_wp_attachment_image_alt', true) != '') ? get_post_meta($key,'_wp_attachment_image_alt', true) : 'Gallery image'; ?>

            <div class="ht-gallery-item theme-col-item">
                <a href="<?php echo esc_url($full_img[0]); ?>" data-gal="prettyPhoto[gallery]">
                    <img src="<?php echo esc_url($thumbnail); ?>" alt="<?php echo esc_attr($img_alt); ?>">
                </a>
            </div>
        <?php endforeach; ?>
    </div>
    <?php if($style == 'carousel'){ ?>
        <div class="gallery-carousel-bot">
            <div class="gallery-box">
                <span><?php esc_html_e('View full gallery?', 'love-pet') ?></span>
                <a href="<?php echo esc_url($link) ?>"><?php esc_html_e('Click here', 'love-pet'); ?></a>
            </div>
        </div>
    <?php }
endif;