<?php
/**
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.4.0
 */

if ( ! defined( 'ABSPATH' ) ) exit;

global $product;

// Ensure visibility
if ( empty( $product ) || ! $product->is_visible() ) return; ?>

<li <?php post_class(); ?>>
	<?php do_action( 'woocommerce_before_shop_loop_item' );	
	do_action( 'woocommerce_before_shop_loop_item_title' );
	echo '<div class="pro-loop-content">';
		do_action( 'woocommerce_shop_loop_item_title' );
		do_action( 'woocommerce_after_shop_loop_item_title' );
        echo '<div class="pro-loop-action">';
            echo '<div class="pro-loop-sumary">' . apply_filters( 'the_excerpt', get_the_excerpt() ) . '</div>';
            do_action( 'woocommerce_after_shop_loop_item' );
        echo '</div>';
	echo '</div>'; ?>
</li>
